Page MenuHomePhabricator

Enable opening Search results / Nearby / Disambig / Read More in new tabs.
Closed, ResolvedPublic3 Story Points

Description

The following items should support opening in new tabs:

  • Search results
  • Nearby
  • Disambiguation links
  • Read more links

Event Timeline

Niedzielski updated the task description. (Show Details)
Niedzielski raised the priority of this task from to Needs Triage.
Niedzielski added subscribers: Niedzielski, Aklapper.
Dbrant renamed this task from New tab option polish to Enable opening History items / Search results / Saved pages / etc. in new tabs..Jun 26 2015, 2:57 PM
Dbrant updated the task description. (Show Details)
Dbrant triaged this task as Normal priority.
Dbrant set Security to None.

ISBN links should not have the option to open in new tabs if they open out of app instead.

Dbrant added a subscriber: Dbrant.Jun 26 2015, 3:42 PM

Things that should not open in a new tab are captured in T103992.

Niedzielski updated the task description. (Show Details)Jul 2 2015, 3:03 AM
bearND updated the task description. (Show Details)Jul 17 2015, 5:42 PM
MBinder_WMF edited a custom field.Jul 17 2015, 5:42 PM

Change 226130 had a related patch set uploaded (by Dbrant):
Add long-press menu to Search, Nearby, Disambig, and Read More.

https://gerrit.wikimedia.org/r/226130

bearND added a subscriber: bearND.EditedJul 23 2015, 9:41 PM

@Dbrant Since your patch does not include Saved pages and History items, I think you might want to adjust the title and description of this task to reflect that.

Change 226130 merged by jenkins-bot:
Add long-press menu to Search, Nearby, Disambig, and Read More.

https://gerrit.wikimedia.org/r/226130

I understand the objective here is to consistently support the 'Open in a new tab' behavior, but this requires some discussion.
It feels a little bit strange to long press in a search or a list context.

Can we move this to the next sprint and I will collect some feedback on this in the design review on Tuesday.

I propose we move this into Sprint 63 for discussion.

Did a quick checking - opening in new tabs(via long-press) is available from

  • Search results
  • Nearby
  • Disambiguation links
  • Read more links
Dbrant renamed this task from Enable opening History items / Search results / Saved pages / etc. in new tabs. to Enable opening Search results / Nearby / Disambig / Read More in new tabs..Aug 7 2015, 9:39 PM
Dbrant updated the task description. (Show Details)

Interaction looks good.

The select color goes from green to blue. Can we stick with a muted grey like suggested in Mdesign?

The order of action should support frequency of behavior

-Open
-Open in new tab
-Save Page
-Share link
-Copy link address

Change 231687 had a related patch set uploaded (by Niedzielski):
Tweak long press menu order

https://gerrit.wikimedia.org/r/231687

Signed off by design.

Change 231687 merged by jenkins-bot:
Tweak long press menu order

https://gerrit.wikimedia.org/r/231687

Checked with 2.0.108-alpha-2015-08-19 on Nexus5(Android 5.1) - notice the absence of a blue-colored article title.

Samsung Tablet Ce0168(Android 4.0.4) with 2.0.108-alpha-2015-08-19 looks as the screenshot @Niedzielski added:

Dbrant closed this task as Resolved.Sep 2 2015, 4:34 PM